let cart = [];
let cartTotal = 0;

const products = [
    { id: 1, name: 'Premium Spring Water', price: 4.99 },
    { id: 2, name: 'Mineral Water Plus', price: 6.99 },
    { id: 3, name: 'Sparkling Water', price: 5.99 }
];

function toggleCart() {
    document.getElementById('cart-sidebar').classList.toggle('visible');
}

function addToCart(productId) {
    const product = products.find(p => p.id === productId);
    cart.push(product);
    updateCart();
    
    // Animation feedback
    const cartIcon = document.querySelector('.cart-icon');
    cartIcon.style.transform = 'scale(1.2)';
    setTimeout(() => cartIcon.style.transform = 'scale(1)', 200);
}

function updateCart() {
    const cartItems = document.getElementById('cartItems');
    const cartCount = document.getElementById('cartCount');
    cartTotal = 0;
    
    cartItems.innerHTML = '';
    cart.forEach(item => {
        cartTotal += item.price;
        const itemElement = document.createElement('div');
        itemElement.className = 'cart-item';
        itemElement.innerHTML = `
            <span>${item.name}</span>
            <span>$${item.price.toFixed(2)}</span>
        `;
        cartItems.appendChild(itemElement);
    });
    
    document.getElementById('cartTotal').textContent = `$${cartTotal.toFixed(2)}`;
    cartCount.textContent = cart.length;
}

function showSubscribeModal() {
    document.getElementById('subscribeModal').classList.remove('hidden');
}

function selectPlan(plan) {
    showSubscribeModal();
}

function checkout() {
    if (cart.length === 0) {
        alert('Your cart is empty!');
        return;
    }
    alert('Thank you for your purchase!');
    cart = [];
    updateCart();
    toggleCart();
}

document.getElementById('subscribeForm').addEventListener('submit', (e) => {
    e.preventDefault();
    alert('Thank you for subscribing!');
    document.getElementById('subscribeModal').classList.add('hidden');
});

// Close modal when clicking outside
window.addEventListener('click', (e) => {
    const modal = document.getElementById('subscribeModal');
    if (e.target === modal) {
        modal.classList.add('hidden');
    }
});